Subject: Re: [EXT] Re: [PATCH v1] arm64: dts: fsl: ls1028a-rdb: Add dts file to choose swp5 as dsa master

From: Andrew Lunn <[email-masked]>
Date: Fri, 13 Aug 2021 16:25:37 +0200

> >   this "fsl-ls1028a-rdb-dsa-swp5-eno3.dts" is also for fsl-ls1028a-rdb platform,
> > the only difference with "fsl-ls1028a-rdb.dts" is that it use swp5 as dsa master, not swp4,
> > and it's based on "fsl-ls1028a-rdb.dts", so I choose this manner,
> > if "fsl-ls1028a-rdb.dts" has some modification for new version, this file don't need be changed.
> 
> I tend to agree with Hongbo. What confusion is it going to cause?

I don't know if Debian, or any other distribution, ever implemented
it, but it was suggested that the install media read the available DT
blobs and present the user with a list they can choose from. I've no
idea if this was based on the blob filename, or if it read the
compatible string.

The Compatible string is also printed in the kernel log at boot. If it
is not unique, you need further information to figure out the blob
sources.

We probably needs Rob input. Are there other boards with multiple
blobs? Do they use the same or different compatible strings?

       Andrew